tbb::internal::select_size_t_constant< u, ull > Struct Template Reference

A template to select either 32-bit or 64-bit constant as compile time, depending on machine word size. More...

`#include <tbb_stddef.h>`

Collaboration diagram for tbb::internal::select_size_t_constant< u, ull >:

## Static Public Attributes

static const size_t | value = (size_t)((sizeof(size_t)==sizeof(u)) ? u : ull)

## Detailed Description

### template<unsigned u, unsigned long long ull>
struct tbb::internal::select_size_t_constant< u, ull >

A template to select either 32-bit or 64-bit constant as compile time, depending on machine word size.

Definition at line 494 of file tbb_stddef.h.

## Member Data Documentation

## value

template<unsigned u, unsigned long long ull>

const size_t tbb::internal::select_size_t_constant< u, ull >::value = (size_t)((sizeof(size_t)==sizeof(u)) ? u : ull)

static

Definition at line 497 of file tbb_stddef.h.

The documentation for this struct was generated from the following file:

- tbb_stddef.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.